Bug 1262432 - DataIOEditor allows names with illegal characters
DataIOEditor allows names with illegal characters
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.2.0
Unspecified Unspecified
high Severity unspecified
: ER5
: 6.2.0
Assigned To: Tihomir Surdilovic
Jozef Marko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-11 12:07 EDT by Jeremy Lindop
Modified: 2018-01-30 18:35 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Lindop 2015-09-11 12:07:50 EDT
Description of problem:
DataIOEditor does not validate characters in datainput / dataoutput names

Version-Release number of selected component (if applicable):
bpms-6.3.0.CR2

Steps to Reproduce:
1. Create a new BP and add a User Activity
2. Edit the assignments property
3. Create a DataInput with name, e.g. "ab#$%def"

Names with illegal characters should not be allowed.

The old Assignments editor used the Javascript regular expression to validate names:
/^[a-z0-9\-\.\_]*$/i
Comment 1 Jeremy Lindop 2015-09-11 12:09:17 EDT
See also
https://bugzilla.redhat.com/show_bug.cgi?id=1256400
Comment 3 Jeremy Lindop 2015-10-21 12:33:45 EDT
Fixed by making the DataInput and DataOutput names be validated as they are typed. They are also validated when the user moves away from the TextBox - this ensures that copy-pasted values are validated.

Names of DataInputs/Outputs can contain only a-z,A-Z,0-9,-_.  This is the same set of characters used in the old DataInput / DataOutput dialog.

6.3.x
https://github.com/droolsjbpm/jbpm-designer/commit/760a0246fc2beaf92d1ce30c21be90cb27995f4e

master
https://github.com/droolsjbpm/jbpm-designer/commit/ed3a6394e2d0d7c387b6fb130c273fcbb3d408be
Comment 4 Jozef Marko 2015-11-03 09:16:55 EST
Impossible to type white spaces or other special characters like #,@,%,$ as name for data assignment.

Verified on 6.2.0.ER5

Note You need to log in before you can comment on or make changes to this bug.